<div class="control-section">
    <div id="modalTarget" #targetModal>
    <nav class="navbar navbar-custom justify-content-start">
        <span (click)="goBack()" class="cursor-pointer col-xs-4 pb-1" *ngIf="scenarioId">
            <em class="fa fa-chevron-left"></em> 
        </span>
        <div class="float-left col-10">
            <H2 class="nav_logo heading_style pb-3">{{scenarioId ? scContent?.Scenario_detail : scContent?.New_Scenario}}</H2>
            
        </div>

        <div *ngIf="!scenarioId" class="ml-auto">
            <button class="btn" (click)="cancelScenario()">{{scContent?.Cancel}}</button>
            <button class="btn btn-dark" (click)="saveScenario()" [disabled]="scenarioform.invalid" >{{scContent?.Save}}</button>
            <!-- <button class="btn btn-dark new_w" ejs-button  (click)="saveScenarioExecute()" [disabled]="scenarioform.invalid" >Save & Execute</button> -->
        </div>
        
    </nav>

    

    <div class='row container pb-5 accordion_class mr-0'>
            <div class='p-3 v1' >
                
                <div class="form-group form-group-lg">
                        <label><strong>{{scContent?.Workflow}} - {{wfName}}</strong></label><svg-icon class="cursor-pointer ml-2" title="Overview" (click)="modalDlgOpen()" src="assets/images/Overview.svg" [stretch]="true"
                        [svgStyle]="{'padding.px': 4}"></svg-icon><br/>
                        <label>{{scContent?.Workflow}} - {{wfdesc}}</label>
                     
                </div>
                <form #scenarioform="ngForm">
                    <div class="form-group form-group-lg">
                        
                        <div>
                            <label><strong>{{scContent?.Scenario_Name}} <span class="required">*</span></strong></label>
                            <input type="text" class="form-control w-50" #nameval='ngModel' required
                                name='filename' [(ngModel)]="filename" [disabled]="scenarioId">
                            <div *ngIf="(nameval.invalid && (nameval.dirty || nameval.touched))">
                                <div class="e-error" *ngIf="nameval.errors.required">
                                    {{scContent?.Scenario_Name_required}} 
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

                <div class="form-group form-group-lg">
                    <label><strong>Output (s)</strong></label><svg-icon class="cursor-pointer ml-2" title="Overview" (click)="outModalDlgOpen()" src="assets/images/Add Datasets.svg" [stretch]="true"
                    [svgStyle]="{'padding.px': 2}"></svg-icon><br/>
                    <label><ejs-chiplist id="chipds" #chipds [chips]="checkedDataSet" ></ejs-chiplist></label>
                 
                </div>

                <label><strong>Parameter Inputs </strong></label>
                    <ejs-grid *ngIf="parameters && parameters.length!=0" #gridelement [dataSource]='parameters'>
                        <e-columns>
                            <e-column field='name' [customAttributes]='customNameAttributes' headerText="{{scContent?.Parameter_Name}}" width=130></e-column>
                            
                            <e-column headerText='{{scContent?.Enter_Value}}' width=250>
                                <ng-template #template let-data> 
                                    <div *ngIf="!scenarioId">
                                        <input [(ngModel)]='data.value' (change)="setParamValue(data)" type='text' *ngIf="data.config_type==parameter_type_list[1]" class="form-control">
                                        <input [(ngModel)]='data.value' (change)="setParamValue(data)" type='Number' *ngIf="data.config_type==parameter_type_list[2]" class="form-control">
                                        <ejs-dropdownlist  [(value)]='data.value' (change)="setParamValue(data)" *ngIf="data.config_type==parameter_type_list[0]"   [dataSource]='data.config_value | split:","' width='100%' placeholder='{{scContent?.Select_Parameter_Value}}' ></ejs-dropdownlist>
                                        <ejs-dropdownlist  [(value)]='data.value' (change)="setParamValue(data)" *ngIf="data.config_type==parameter_type_list[3]"   [dataSource]='parameterValues[data.name]' width='100%' placeholder='{{scContent?.Select_Parameter_Value}}' ></ejs-dropdownlist>
                                        
                                    </div>
                                    <div *ngIf="scenarioId">
                                        <label>{{scenarioParameterValues[data.name]}}</label>
                                        
                                    </div>
                            </ng-template>

                            </e-column>

                            <e-column field='description' headerText='{{scContent?.description}}' width=350></e-column>

                        </e-columns>
                    </ejs-grid>

                    
            </div>
    </div>

</div>

<ejs-dialog #overviewDialog [visible]='false' [showCloseIcon]='true' width=900 isModal="true" height=500
    (close)="modalDlgClose()" (open)="modalDlgOpen()">
    <ng-template #content>
        <div *ngIf="show">
            <app-overview [workflow_data]="workflow_data"></app-overview>
        </div>
    </ng-template>
    <ng-template #header>
        <div title="{{scContent?.Overview}}" class="e-icon-settings dlg-template"> {{scContent?.Overview}} </div>
    </ng-template>
</ejs-dialog>

<ejs-dialog #outputDialog [visible]='false' [showCloseIcon]='true' width=500 isModal="true" height=450
    (close)="outModalDlgClose()" (open)="outModalDlgOpen()" [buttons]='buttons'>
    <ng-template #content>
        <div *ngIf="outputModalShow">
            <ejs-treeview #outputtree [fields]='datasets' [showCheckBox]='!scenarioId' [checkedNodes]="checkedNodes" cssClass="outputTree" (nodeClicked)='nodeCheck($event)'></ejs-treeview>
        </div>
    </ng-template>
    <ng-template #header>
        <div class="e-icon-settings dlg-template"> {{scContent?.Select_Outputs}} </div>
    </ng-template>
</ejs-dialog>